package TX_OtherClass;

public final class jceHttpRequest extends JceStruct {
    public String strHttpHead;
    public String strRequest;
    public String strRequestID;

    public jceHttpRequest(String arg2, String arg3, String arg4) {
        super();
        this.strRequestID = "";
        this.strRequest = "";
        this.strHttpHead = "";
        this.strRequestID = arg2;
        this.strRequest = arg3;
        this.strHttpHead = arg4;
    }

    public jceHttpRequest() {
        super();
        this.strRequestID = "";
        this.strRequest = "";
        this.strHttpHead = "";
    }

    public final void readFrom(c arg4) {
        this.strRequestID = arg4.b(0, true);
        this.strRequest = arg4.b(1, true);
        this.strHttpHead = arg4.b(2, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.strRequestID, 0);
        arg3.a(this.strRequest, 1);
        if(this.strHttpHead != null) {
            arg3.a(this.strHttpHead, 2);
        }
    }
}

